LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Enumerations
FadeEffect.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::presentation
| Presentation specific interfaces.

## Enumerations
enum | FadeEffect { NONE , FADE_FROM_LEFT , FADE_FROM_TOP , FADE_FROM_RIGHT , FADE_FROM_BOTTOM , FADE_TO_CENTER , FADE_FROM_CENTER , MOVE_FROM_LEFT , MOVE_FROM_TOP , MOVE_FROM_RIGHT , MOVE_FROM_BOTTOM , ROLL_FROM_LEFT , ROLL_FROM_TOP , ROLL_FROM_RIGHT , ROLL_FROM_BOTTOM , VERTICAL_STRIPES , HORIZONTAL_STRIPES , CLOCKWISE , COUNTERCLOCKWISE , FADE_FROM_UPPERLEFT , FADE_FROM_UPPERRIGHT , FADE_FROM_LOWERLEFT , FADE_FROM_LOWERRIGHT , CLOSE_VERTICAL , CLOSE_HORIZONTAL , OPEN_VERTICAL , OPEN_HORIZONTAL , SPIRALIN_LEFT , SPIRALIN_RIGHT , SPIRALOUT_LEFT , SPIRALOUT_RIGHT , DISSOLVE , WAVYLINE_FROM_LEFT , WAVYLINE_FROM_TOP , WAVYLINE_FROM_RIGHT , WAVYLINE_FROM_BOTTOM , RANDOM , STRETCH_FROM_LEFT , STRETCH_FROM_TOP , STRETCH_FROM_RIGHT , STRETCH_FROM_BOTTOM , VERTICAL_LINES , HORIZONTAL_LINES , MOVE_FROM_UPPERLEFT , MOVE_FROM_UPPERRIGHT , MOVE_FROM_LOWERRIGHT , MOVE_FROM_LOWERLEFT , UNCOVER_TO_LEFT , UNCOVER_TO_UPPERLEFT , UNCOVER_TO_TOP , UNCOVER_TO_UPPERRIGHT , UNCOVER_TO_RIGHT , UNCOVER_TO_LOWERRIGHT , UNCOVER_TO_BOTTOM , UNCOVER_TO_LOWERLEFT , VERTICAL_CHECKERBOARD , HORIZONTAL_CHECKERBOARD }
| specifies the fade effects to fade one page into another. More...